### Constructor

# Ide ExtensionSetAdapter new

#### Declaration

    IdeExtensionSetAdapter*
    ide_extension_set_adapter_new (
      IdeObject* parent,
      PeasEngine* engine,
      GType interface_type,
      const gchar* key,
      const gchar* value
    )

#### Description

No description available.

#### Parameters

`parent` | `IdeObject`
| No description available.
| The data is owned by the caller of the function.
`engine` | `PeasEngine`
| No description available.
| The data is owned by the caller of the function.
`interface_type` | `GType`
| No description available.
`key` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeExtensionSetAdapter`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.